Get a contract ABI
GET /v2/contract/abi/{id}
GET
/v2/contract/abi/{id}
Get a specific contract ABI by ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The ABI ID to get
Query Parameters
Section titled “Query Parameters ” isShared
required
boolean
Whether the ABI is shared
Responses
Section titled “ Responses ”The ABI details
object
query
required
The query parameters
object
chainId
required
The chain ID
number
1 abiId
required
The ABI ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 contractAddress
required
The contract address
string
0x1234567890123456789012345678901234567890 methodName
required
The method name
string
balanceOf paramCollection
required
The parameters for the method
Array<string>
[ "0x1234567890123456789012345678901234567890"] isShared
required
Whether the ABI is shared
boolean
response
required
The response from the contract method
object
{ "balance": "1000000000000000000"}Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error